# VSX Status

Monitors status of Check Point VSX systems

**Note**: check was renamed from *checkpoint_vsx_status* to *checkpoint_vsx*

Check Info:

* *service*: this check will create one service per VSX virtual system on the VSX host
* *state*:\
  **critical**
  * if vsxStatusHAState is not 'active' or 'standby'
  * if vsxStatusSicTrustState if not 'trust established'
  * if vsxStatusVsPolicyType if not 'active'

  **warning**
  * if vsxStatusPolicyName is changed from the inventory value -> different policy name
  * if vsxStatusHAState is changed from the inventory value  -> cluster state change

* *wato*: none
* *perfdata*: 
    * connections (count)
    * connections peak (count)
    * packets processed/s
    * packets dropped/s
    * packets accepted/s
    * packets rejected/s
    * bytes accepted/s
    * bytes dropped/s
    * bytes rejected/s
    * logges send/s

Sample output

![sample output](/doc/sample.png?raw=true "sample [SHORT TITLE]")

